<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;

$ankieta->writeGap();
$ankieta->writeHeader("KONTROLA");
$ankieta->writeGap();

$ankieta->setDictAnswerTranslation("PL","OTHER","Proszę wpisać odpowiedź ");

?>
    <h2 class="opisBig"><i>Schemat pozyskania danych osobowych do realizacji kontroli ilościowej:<br/>
            Pozyskiwanie danych filtrujemy na osoby pełnoletnie (ukończone 18 lat od młodszych nie pozyskujemy danych):<br/>

        </i></h2>
    <br/>

<?

$answers=array();
$answers[1]='TAK';
$answers[2]='NIE';
$ankieta->writeRadio('KONTROLA_ZGODA','Czy mogę Pana/ią prosić o podanie swojego imienia oraz numeru telefonu do celów kontrolnych ?. W ciągu kilku dni może zadzwonić do Pana/i pracownik naszej agencji celem potwierdzenia Pana/i udziału w badaniu.',$answers,true,@clean($data['KONTROLA_ZGODA']),"NUMERIC","<span onClick=\"doLogicKONTROLA($(this).find('input:radio').attr('id'));\">","</span>");

?>

    <div id="wholeDANE" style="display: none;">
        <h2 class="opisBig"><i>W celu weryfikacji przeprowadzenia badania będziemy kontaktować się z losowo wybranymi osobami.
        Dlatego prosimy o podanie swoich danych, abyśmy mogli się z Tobą skontaktować w tym celu.
                Podane przez Ciebie dane wykorzystane zostaną wyłącznie w celach weryfikacyjnych i nie zostaną udostępnione innym podmiotom.</i></h2>


        <?
        //$ankieta->writeOpen(2,300,'P15AA_'.$order.'_2','Co sprawia, że <u>nie odpowiada</u> Panu(i) <u>delikatność, puszystość</u> pianki tego produktu?',300,@clean($data['P15AA_'.$order.'_2'],''), "STRING", '300',true);
        $ankieta->writeInput("KIMIE","Imię: ",@clean($data['KIMIE']), true,'',"STRING","30.0",false,false);
        $ankieta->writeInputNumber("KTEL","Numer telefonu:",@clean($data['KTEL']), true,'',"NUMERIC","12.0",false,12);
        ?>
    </div>


<?php

$answers=array();
$answers[1]='TAK [^uncheckById(["KONTROLA_ZAPOZNANIE_2"])^]';
$answers[2]='NIE [^uncheckById(["KONTROLA_ZAPOZNANIE_1"])^]';
$ankieta->writeCheckbox('KONTROLA_ZAPOZNANIE','Potwierdzam zapoznanie się z otrzymanym Obowiązkiem  Informacyjnym wynikającym z przekazania przeze mnie danych osobowych',$answers,true, @clean($data['KONTROLA_ZAPOZNANIE'],NULL),'NUMERIC','');



?>


<script type="text/javascript">

    function doLogicKONTROLA(id) {
        var value=$('#' + id).val();
        if (value >= 1 && value <=1) {
            $("#wholeDANE").show();
            show(['KIMIE']);
            show(['KTEL']);
        } else {
            $("#wholeDANE").hide();
            clean(['KIMIE']);
            clean(['KTEL']);
        }
    }


</script>
